- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

PKCS12_add_CSPName_asc - Add a Microsoft CSP Name attribute to a PKCS#12 safeBag

# SYNOPSIS

     #include <openssl/pkcs12.h>

     int PKCS12_add_CSPName_asc(PKCS12_SAFEBAG *bag, const char *name, int namelen);

# DESCRIPTION

PKCS12_add_CSPName_asc() adds an ASCII string representation of the Microsoft CSP Name attribute to a PKCS#12 safeBag.

bag is the PKCS12_SAFEBAG to add the attribute to.

# RETURN VALUES

Returns 1 for success or 0 for failure.

# SEE ALSO

PKCS12_add_friendlyname_asc(3)

# COPYRIGHT

Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.